Last Comment Bug 561262 - Add keywords for tracking the violation of specific user experience principles
: Add keywords for tracking the violation of specific user experience principles
Status: VERIFIED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Administration (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Reed Loden [:reed] (use needinfo?)
: QA timeless
:
Mentors:
http://spreadsheets.google.com/pub?ke...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 18:58 PDT by Alex Faaborg [:faaborg] (Firefox UX)
Modified: 2011-06-26 22:54 PDT (History)
3 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Alex Faaborg [:faaborg] (Firefox UX) 2010-04-22 18:58:29 PDT
I would like this set of keywords added to our instance of bugzilla.  I'll follow up in separate bugs with the changes we need as we start to apply these to all of the bugs the ux team is currently tracking:

http://spreadsheets.google.com/pub?key=tJxF8zTuLdEj9pUcxnLAemA&output=html
Comment 1 Alex Faaborg [:faaborg] (Firefox UX) 2010-04-22 18:59:43 PDT
Oh, and disregard the additional columns nemesis and source, those were just for organizing the set being proposed.
Comment 2 Reed Loden [:reed] (use needinfo?) 2010-04-22 19:18:33 PDT
fyi, it's "interruption", not "interuption".
Comment 3 Alex Faaborg [:faaborg] (Firefox UX) 2010-04-22 19:22:21 PDT
thanks for catching that, fixed
Comment 4 Alex Faaborg [:faaborg] (Firefox UX) 2010-04-22 20:35:27 PDT
Blog post about the general idea: http://blog.mozilla.com/faaborg/2010/04/22/dont-talk-about-users/
Comment 5 timeless 2010-04-22 23:27:55 PDT
alex: can you please make the first column wide enough to actually show the whole keyword?
--
ux-feedback =~ s/ of / about /
--
ux-mode-error =~ s/principles is/principle is/
--
ux-jargon, ux-undo, ux-mode-error, ux-visual-hierarchy:
(This principle is a special case of ux-implementation-level).
(This principle is a special case of ux-control).
(This principles is a special case of ux-error-prevention).
(This principle is an adaption of ux-discovery).

It's a special case, but should it be treated as mutually exclusive, or do we just get both?
Comment 6 Reed Loden [:reed] (use needinfo?) 2010-04-22 23:39:23 PDT
(In reply to comment #3)
> thanks for catching that, fixed

Also needs to be fixed in the description for 'ux-control'.
Comment 7 Reed Loden [:reed] (use needinfo?) 2010-04-22 23:41:41 PDT
The following keywords and their associated descriptions have been added:

ux-affordance --- User experience principle: controls should visually express how the user should interact with them.

ux-consistency --- User experience principle: in general software should be internally consistent with itself, and externally consistent with similar interfaces to leverage the user's existing knowledge.

ux-control --- User experience principle: users should always feel like they are in control of their software. (This principle is often the nemesis of ux-interruption, especially in cases where developers assume users want more control than they actually want).

ux-discovery --- User experience principle: users should be able to discover functionality and information by visually exploring the interface, they should not be forced to recall information from memory. (This is often the nemesis of ux-minimalism since additional visible items diminish the relative visibility of other items being displayed).

ux-efficiency --- User experience principle: interfaces should be as efficient as possible, minimizing the complexity of actions and the overall time to complete a task.

ux-error-prevention --- User experience principle: interfaces should proactively try to prevent errors from happening.

ux-error-recovery --- User experience principle: interfaces should proactively help users recover from both user errors and technology errors. (A preferable case is to address through ux-error-prevention so that the error does not occur).

ux-feedback --- User experience principle: interfaces should provide feedback about their current status. Users should never wonder what state the system is in.

ux-implementation-level --- User experience principle: interfaces should not be organized around the underlying implementation and technology in ways that are illogical, or require the user to have access to additional information that is not found in the interface itself.

ux-interruption --- User experience principle: interfaces should not interrupt the user. Interfaces should never ask the user a question that they are not prepared to answer simply for a false sense of ux-control. In general software should only speak when spoken to.

ux-jargon --- User experience principle: users should not be required to understand any form of implementation level terminology. (This principle is a special case of ux-implementation-level).

ux-minimalism --- User experience principle: interfaces should be as simple as possible, both visually and interactively. Interfaces should avoid redundancy. (This principle is often the nemesis of ux-discovery since removing or hiding items deep into the interface forces the user to rely more on memory than recognition).

ux-mode-error --- User experience principle: users should not encounter errors because the interface is in a different state than they expected it to be. (This principle is a special case of ux-error-prevention).

ux-natural-mapping --- User experience principle: controls should be placed in the correct location relative to the effect that they will have.

ux-tone --- User experience principle: interfaces should not blame the user, or communicate in a way that is overly negative or dramatic.

ux-undo --- User experience principle: actions should support undo so that users remain in control. (This principle is a special case of ux-control).

ux-visual-hierarchy --- User experience principle: controls that are more important or more commonly used should leverage visual variables such as size and contrast so that they have more dominance and weight relative to other controls. (This principle is an adaption of ux-discovery).
Comment 8 Alex Faaborg [:faaborg] (Firefox UX) 2010-04-23 10:47:13 PDT
>It's a special case, but should it be treated as mutually exclusive, or do we
>just get both?

Conceptually it's a special case, but in terms of keyword usage really only one keyword is needed to describe the problem so they should be treated as mutually exclusive.  (although if someone applies both, that's not really a big deal).
Comment 9 timeless 2010-04-24 16:30:49 PDT
alex/reed: I believe the sentence parentheticals have the period on the wrong side of the closing parenthesis.

Note You need to log in before you can comment on or make changes to this bug.